Bug 176618 - Review Request: ushare
Review Request: ushare
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
:
Depends On: 176617
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-27 12:45 EST by Eric Tanguy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-08 02:13:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Tanguy 2005-12-27 12:45:59 EST
Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/ushare.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/ushare-0.9.5-2.src.rpm
Description: uShare is a UPnP (TM) A/V Media Server. It implements the server 
component that provides UPnP media devices with information on 
available multimedia files. uShare uses the built-in http server 
of libupnp to stream the files to clients.
Comment 1 Eric Tanguy 2006-01-05 13:35:41 EST
$ rpmlint rpmbuild/SRPMS/ushare-0.9.5-2.src.rpm
$ rpmlint rpmbuild/RPMS/i386/ushare-0.9.5-2.i386.rpm
E: ushare explicit-lib-dependency libupnp
E: ushare non-standard-uid /var/lib/ushare ushare
E: ushare non-standard-gid /var/lib/ushare ushare
E: ushare non-standard-dir-perm /var/lib/ushare 0770
W: ushare non-conffile-in-etc /etc/ushare.conf

Some help with explicit-lib-dependency and non-conffile-in-etc, please.
Comment 2 Paul Howarth 2006-01-05 13:41:57 EST
(In reply to comment #1)
> $ rpmlint rpmbuild/SRPMS/ushare-0.9.5-2.src.rpm
> $ rpmlint rpmbuild/RPMS/i386/ushare-0.9.5-2.i386.rpm
> E: ushare explicit-lib-dependency libupnp
> E: ushare non-standard-uid /var/lib/ushare ushare
> E: ushare non-standard-gid /var/lib/ushare ushare
> E: ushare non-standard-dir-perm /var/lib/ushare 0770
> W: ushare non-conffile-in-etc /etc/ushare.conf
> 
> Some help with explicit-lib-dependency and non-conffile-in-etc, please.

You should be able to drop the "Requires: libupnp" because RPM's auto-dependency
tracking should create an appropriate dependency for you.

Use:
%config(noreplace) %{_sysconfdir}/ushare.conf
and that should get rid of the non-conffile-in-etc error.


Comment 3 Eric Tanguy 2006-01-05 14:04:40 EST
Thanks
New version : 
Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/ushare.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/ushare-0.9.5-3.src.rpm

This package still need a formal review.
Comment 4 Eric Tanguy 2006-01-14 17:51:05 EST
$ rpmlint rpmbuild/SRPMS/ushare-0.9.5-3.src.rpm
$ rpmlint rpmbuild/RPMS/i386/ushare-0.9.5-
ushare-0.9.5-1.i386.rpm  ushare-0.9.5-2.i386.rpm  ushare-0.9.5-3.i386.rpm
[tanguy@bureau ~]$ rpmlint rpmbuild/RPMS/i386/ushare-0.9.5-3.i386.rpm
E: ushare non-standard-uid /var/lib/ushare ushare
E: ushare non-standard-gid /var/lib/ushare ushare
E: ushare non-standard-dir-perm /var/lib/ushare 0770
This seems ok for me.
May someone take a look at this package, please?
Comment 5 Tom "spot" Callaway 2006-01-19 18:00:00 EST
Good:

- rpmlint checks return:

E: ushare non-standard-uid /var/lib/ushare ushare
E: ushare non-standard-gid /var/lib/ushare ushare
E: ushare non-standard-dir-perm /var/lib/ushare 0770

Safe to ignore.

- package meets naming guidelines
- license (GPL) OK, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

MAJOR BLOCKER:

You should not use %{_datadir}/locale/* to grab the locale files. This causes
you to own some of the locale directories. Instead, you should use the
%find_lang macro like this: (at the end of %install):

%find_lang %{name}

Then, instead of %files, put: %files -f %{name}.lang

Remove %{_datadir}/locale/*, the %{name}.lang will cover it.

MINOR BLOCKER:
Please uncomment the %doc line. It's valid. :)

Show me a package with those blockers resolved, and I'll approve it.
Comment 6 Eric Tanguy 2006-01-20 04:13:28 EST
Thanks
New version : 
Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/ushare.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/ushare-0.9.5-4.src.rpm
Comment 7 Eric Tanguy 2006-01-24 00:34:18 EST
Up ?
Comment 8 Eric Tanguy 2006-01-25 02:33:33 EST
Please is this package needs a formal approve or is it tacitly approved ?
Comment 9 Paul Howarth 2006-01-25 03:02:19 EST
It's approved when (a) someone says it's approved *and* (b) changes the blocker
bug from FE-REVIEW to FE-ACCEPT. So, no, it's not approved yet.
Comment 10 Christian Iseli 2006-01-25 03:11:21 EST
(In reply to comment #8)
> Please is this package needs a formal approve or is it tacitly approved ?

There ain't no such thing as a "tacitly approved" package in FE.

You just need a bit more patience.  In the meantime, you could review some
packages, I notice spot has a few open review requests... :-)
Comment 11 Tom "spot" Callaway 2006-01-26 10:18:42 EST
New spec looks good, all blockers resolved, APPROVED.

Note You need to log in before you can comment on or make changes to this bug.